import axios, { Axios, AxiosRequestConfig } from 'axios'
import { ACCESS_TOKEN, UID } from '../Const'
import { Utils } from '../Utils/Utils'

export const createRequest = axios.create

const defaultRequest = axios.create()
defaultRequest.interceptors.request.use((config) => {
    return {
        ...config,
        headers: {
            uid: Utils.getCookie(UID),
            accessToken: Utils.getCookie(ACCESS_TOKEN)
        },
    }
})
export { defaultRequest }