import { Utils } from '../src/Utils/Utils'
import {PayError, Payment, PayType} from '../src/Payment/Payment'
const payment = new Payment()

const MOCK_GOODS = {
  totalAmount: 100,
  orderId: 
}

Utils.setCookie('uid', '130959612')
Utils.setCookie('accessToken', '33441f9c4be74a357b1d416d4aa616eaMjIwNw')

test('test: getBalance', async () => {
  const balance = await payment.getBalance()
  expect(balance).toBeGreaterThanOrEqual(0)
})

// test('test: computeAmount', () => {
//   const {payAmount, payBalance} = payment.computeAmount(100)
//   expect(payBalance).toBe(payment.balance)
// })

test('test: 余额支付', async () => {
  const res = await payment.toPay({
    totalAmount: MOCK_GOODS.totalAmount,
    orderId: MOCK_GOODS.orderId,
    payType: PayType.BALANCE,
    quitUrl: 'https://www.baidu.com',
    returnUrl: 'https://www.baidu.com',
    redirectUrl: 'https://www.baidu.com'
  })
  if (res) {
    const {errorType, success} = res
    expect(errorType === PayError.VALIDATE)
  }
})

// test('test: 微信支付')

// test('test: 支付宝支付')

// test('test: 微信 + 余额支付')

// test('test: 支付宝 + 余额支付')

// test('test: createBackInfoUrl')

// test('test: 订单查询')

// test('test: getPayMethodList')

// test('test: getPayChannel')